Bug 371011 - Desktop resolution not matched to screen resolution
Desktop resolution not matched to screen resolution
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 05:08 EST by David Wood
Modified: 2009-01-09 02:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:23:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Very basic xorg.conf file currently in use (622 bytes, text/plain)
2007-12-05 08:47 EST, David Wood
no flags Details
The Xorg log file from today (179.01 KB, text/plain)
2007-12-05 09:00 EST, David Wood
no flags Details

  None (edit)
Description David Wood 2007-11-08 05:08:07 EST
I have a Compaq nx9010 laptop with the following graphics card (from lspci);
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon IGP 330M/340M/350M
... and a 1024x768 resolution display.

Under F7, I have been using it with a 1280 x 1024 Dell D1626HT monitor.  When
the monitor is connected, the laptop display is blank because it can't display
the higher resolution.  That's fine and expected.

Following the update to F8 (from rawhide), my desktop background correctly
displays at 1280x1024 and I can move windows around the full 1280x1024 area. 
However, the login screen is only 1024x768 and the gnome panel is only 1024
pixel wide.  Worse still, if the panel position is 'bottom', it actually appears
part way down the screen (at pixel row 768 rather than 1024). Windows can slide
behind it and below it.  Using system-config-display, I can only choose
resolutions up to 1024x768, even when xorg.conf only has mode 1280x1024.  The
60z refresh limit also seems to be causing lots of flicker (small transient
horizontal bars) on the Dell display whenever I move windows around.

Version-Release number of selected component:
Fedora 8 (FC7 updated with rawhide), system-config-display-1.0.51-4.fc8
  
Actual results:    A 1024x48 pixel gnome panel at pixel row 768
Expected results:  A 1280x48 pixel gnome panel at pixel row 1024
Comment 1 David Wood 2007-11-15 06:03:58 EST
Some progress:
With the minimal xorg.conf file created by system-config-display --reconfig I
have a 1024x768 display on both the laptop display and the external monitor.
I can then set the external monitor to 1280x1024 as follows:

$ xrandr --output LVDS --off
$ xrandr -s 1280x1024 -r 85

Gnome is now aware of the resolution and correctly puts the panel at the bottom
of the screen.  The important bit is to turn off the laptop display.  The
probelm with the F8 release is that the laptop screen hardware detection is
blocking gnome resolution options for external monitors (even though the X
server knows about the higher resolutions).
Comment 2 Michael Hurley 2007-11-28 08:30:30 EST
Similar problem here, on a Dell Optiplex GX280 with a Dell AS500 LCD monitor.
Resolution set at 1280x1024, but gnome panel is only 1024 px wide. Likewise,
setting the panel to be on the bottom or right well into good screen real
estate, with significant space beyond it (either to the right or below.) Also,
maximizing windows when inside the smaller square described by the gnome-panel
only maximize to that smaller square size. If I drag a window such that it
exceeds the smaller square, I can then maximize it to the full screen size.

Attempting to run system-config-display dies with the following error:

[root@myhost ~]# system-config-display --reconfig
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 381, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig,
rhpxl.videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 533, in __init__
    self.state.recalc_mode()
  File "/usr/lib/python2.5/site-packages/rhpxl/xhwstate.py", line 387, in
recalc_mode
    self.colordepth = availableDepth[-1]
IndexError: list index out of range
Comment 3 Michael Hurley 2007-11-28 09:05:06 EST
Erratum:
d'oh--the monitor model is Dell 1704FPVt. AS500 is the "soundbar." (Apologies).
Comment 4 Matěj Cepl 2007-12-05 07:30:49 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 David Wood 2007-12-05 08:47:24 EST
Created attachment 278281 [details]
Very basic xorg.conf file currently in use

This is the xorg file created automatically, although I've removed additional
screen modes to just leave 1280x1024 and 1024x768
Comment 6 David Wood 2007-12-05 09:00:50 EST
Created attachment 278301 [details]
The Xorg log file from today

Both the laptop and Dell monitors are detected.  Line 2544 shows the 1280x1024
display as out of range for the laptop display.  On login, both displays are
active, with the high res. Dell showing my full 1280x1024 desktop background. 
However, the gnome panel is positioned part-way down the screen at the 1024x768
position.  Running a script with these two commands fixes the panel position:

xrandr --output LVDS --off
xrandr -s 1280x1024 -r 85
Comment 7 Bug Zapper 2008-11-26 03:14:31 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 02:23:09 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.